# {{ ansible_managed }}

interface: {{ unbound_interface }}

# Disable DNSSEC for local domains to avoid resolve issues.
{% for domain in unbound_domain_insecure %}
domain-insecure: "{{ domain }}"
{% endfor %}

local-zone: "{{ unbound_local_zone_name }}" static

{% for zone in unbound_local_zones %}
local-data: "{{ zone.name }} IN A {{ zone.ip }}"
{% endfor %}

{% for zone in unbound_local_zones %}
{% if zone.no_ptr is undefined %}
local-data-ptr: "{{ zone.ip }} {{ zone.name }}"
{% endif %}
{% endfor %}

# This is necessary for cert-manager to work
# Or is it? 2020-12-17 - Had to revert the change because cert-manager does
# a health check where it can't connect to the external NAT IP from a
# container. I can't remember why I added this...
#local-zone: "k8s.staging.cia.cygate.se." redirect
#local-data: "k8s.staging.cia.cygate.se 300 IN A 193.108.5.149"
